apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: test
  namespace: operations-system
spec:
  destination:
    namespace: default
    server: https://kubernetes.default.svc
  project: default
  source:
    path: guestbook
    repoURL: https://gitlab.com/gitops-flavors-examples/kubernetes-example.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
